Subject: bug#48483: closed (Re: [PATCH 1/1] gnu: emacs-libyaml: fix broken phase.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 17 May 2021 18:03:02 +0000

Your bug report

#48483: [PATCH 0/1] Fix broken emacs-libyaml

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48483: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48483
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 1/1] gnu: emacs-libyaml: fix broken phase.
From: Leo Prikler <[email-masked]>
To: Fredrik Salomonsson <[email-masked]>, [email-masked]
Date: Mon, 17 May 2021 20:02:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed with the adjustments listed below:

Am Montag, den 17.05.2021, 17:36 +0000 schrieb Fredrik Salomonsson:
> * gnu/packages/emacs-xyz.scm (emacs-libyaml): Change
> substitute-libyaml-core-path phase to be added after the unpack
> phase. As the
> add-source-to-load-path phase which it was added to before seems to
> been
> removed, which resulted in the phase not being run.
I've rewritten the header so as to not contain "fix" (there has been
recent discussion to avoid said word unless necessary), and simplified
this line as well.
> ---
>  gnu/packages/emacs-xyz.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
> index 7a62b6b7ef..6f67083d01 100644
> --- a/gnu/packages/emacs-xyz.scm
> +++ b/gnu/packages/emacs-xyz.scm
> @@ -22533,7 +22533,7 @@ utilities.")
>  (define-public emacs-libyaml
>    ;; Upstream made no release so far.
>    (let ((version "0")
> -        (revision "1")
> +        (revision "2")
>          (commit "703e0d448c7ee24e25b513a3c65980c80e166805"))
>      (package
>        (name "emacs-libyaml")
You don't need to change the revision if the source has not changed.

Regards,
Leo

Subject: [PATCH 0/1] Fix broken emacs-libyaml
From: Fredrik Salomonsson <[email-masked]>
To: [email-masked]
Cc: Fredrik Salomonsson <[email-masked]>
Date: Mon, 17 May 2021 17:29:14 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Getting:

File is missing: Cannot open load file, No such file or directory, libyaml-core

After a guix pull and launching emacs.

I tracked it down to the phase that fixes the load path of emacs-libyaml
(substitute-libyaml-core-path) was not being run during the build. Seems that
the phase it was using in the add-before procedure has been removed/renamed
and therefore substitute-libyaml-core-path phase didn't run.

I changed it to add the phase substitute-libyaml-core-path after the unpack
phase and that fixes the issue.

Fredrik Salomonsson (1):
  gnu: emacs-libyaml: fix broken phase.

 gnu/packages/emacs-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

base-commit: 0d85c83602c58cf83117643571e56205cfaeadc9
-- 
2.31.1